Subject: [AVT] RE: draft-ietf-avt-evrc-04.txt

From: "Adam Li" <[email-masked]>
Date: Wed, 27 Jun 2001 01:01:43 -0700

Hi,

Would it be allright to incorporate the paragraph from Peter into the draft
(with MAY changed to SHOULD as below)? Or should we put in some text to
discuss the circumstance of header compression which we have been trying to
avoid so far? Your comment is very apprecated.

Adam

"Although the sender SHOULD set the Marker bits in the RTP header to signal
the beginning of a talk spurt, it is not required to do so. EVRC codecs
generate data continuously and do not perform silence suppression.  Instead
EVRC encodes the noise components of the silence and outputs corresponding
16-bit frames. Receivers may detect silence, if necessary, by looking for a
sequence of 16-bit frames."

> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]]
> Sent: Wednesday, June 20, 2001 2:34 PM
> To: Pete McCann
> Cc: Adam Li; [email-masked]
> Subject: Re: draft-ietf-avt-evrc-04.txt
>
>
> MUST is not useful anyway, since the receiver always has to be
> able to cope
> with the absence of the M bit (e.g. if packet loss happens).
> Colin
>
> --> Pete McCann writes:
> >
> >Hi, Colin,
> >
> >I think my latest suggestion to Adam was the following:
> >
> >"Although the sender MAY set the Marker bits in the RTP header to
> > signal the beginning of a talk spurt, it is not required to do so.
> > EVRC codecs generate data continuously and do not perform silence
> > suppression.  Instead EVRC encodes the noise components of the
> > silence and outputs corresponding 16-bit frames.  Receivers may
> > detect silence, if necessary, by looking for a sequence of 16-bit
> > frames."
> >
> >So I think we are debating the difference between a SHOULD and a MAY.
> >I would not be too upset with SHOULD as long as we do not go all the
> >way to MUST.
> >
> >-Pete
> >
> >Colin Perkins <[email-masked]> (CP) writes:
> >
> >CP> Only if your compression is unaware of the media (if the
> compression is
> >CP> aware, it can reconstruct the M bit with zero overhead).
> >
> >CP> However, the main issue is that not all uses of EVRC will be
> over such
> >CP> constrained channels. It would be better for the draft to be
> consistent
> >CP> with the other payload formats, saying that you SHOULD set the marker
> >CP> on the first packet of a talkspurt, and explain the
> circumstances where
> >CP> this is undesirable.
> >
> >CP> Colin
> >
>
>

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www.ietf.org/mailman/listinfo/avt

---

From: Colin Perkins <[email-masked]>
Date: Thu, 28 Jun 2001 09:38:05 -0400

>avoid so far? Your comment is very apprecated.

I think it should explain the circumstances when you may not want to use
the M bit - right now the text implies that it won't ever be used.

Colin